%global nsname zope
%global modname proxy
%global srcname %{nsname}.%{modname}
%global pkgname %(n=%{srcname}; echo ${n//./-})

Name:           python-%{pkgname}
Version:        4.2.0
Release:        5%{?dist}
Summary:        Generic Transparent Proxies
License:        ZPLv2.1
URL:            https://github.com/zopefoundation/zope.proxy
Source0:        %{url}/archive/%{version}/%{pkgname}-%{version}.tar.gz
Patch0:         python-zope-proxy-remove-test.patch

%global _description \
This package provides convenient functions for dealing with proxies.

%description %{_description}

%package -n python2-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pkgname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-zope-testing
BuildRequires:  python2-zope-interface
Requires:       python2-zope-interface

%description -n python2-%{pkgname} %{_description}

Python 2 version.

%package -n python3-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkgname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-zope-testing
BuildRequires:  python3-zope-interface
Requires:       python3-zope-interface

%description -n python3-%{pkgname} %{_description}

Python 3 version.

%package -n python2-%{pkgname}-devel
Summary:        Development files for python2-%{pkgname}
Requires:       python2-%{pkgname} = %{version}-%{release}
Requires:       python2-devel
Obsoletes:      %{name}-devel < 4.1.6-6
BuildArch:      noarch

%description -n python2-%{pkgname}-devel
%{summary}.

%package -n python3-%{pkgname}-devel
Summary:        Development files for python3-%{pkgname}
Requires:       python3-%{pkgname} = %{version}-%{release}
Requires:       python3-devel
BuildArch:      noarch

%description -n python3-%{pkgname}-devel
%{summary}.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
rm -f %{buildroot}%{python2_sitearch}/zope/proxy/proxy.h
rm -f %{buildroot}%{python2_sitearch}/zope/proxy/_zope_proxy_proxy.c

%py3_install
rm -f %{buildroot}%{python3_sitearch}/zope/proxy/proxy.h
rm -f %{buildroot}%{python3_sitearch}/zope/proxy/_zope_proxy_proxy.c

%check
%{__python2} setup.py test
# https://github.com/pypa/setuptools/issues/912
#%{__python3} setup.py test

%files -n python2-%{pkgname}
%license COPYRIGHT.txt LICENSE.txt
%doc CHANGES.rst README.rst
%{python2_sitearch}/%{nsname}/%{modname}/
%{python2_sitearch}/%{srcname}-*.egg-info/
%{python2_sitearch}/%{srcname}-*-nspkg.pth

%files -n python3-%{pkgname}
%license COPYRIGHT.txt LICENSE.txt
%doc CHANGES.rst README.rst
%{python3_sitearch}/%{nsname}/%{modname}/
%{python3_sitearch}/%{srcname}-*.egg-info/
%{python3_sitearch}/%{srcname}-*-nspkg.pth

%files -n python2-%{pkgname}-devel
%{_includedir}/python%{python2_version}/%{srcname}/

%files -n python3-%{pkgname}-devel
%{_includedir}/python%{python3_version}m/%{srcname}/

%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 4.2.0-5
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Mar 01 2017 Ralph Bean <rbean@redhat.com> - 4.2.0-1
- new version

* Mon Feb 20 2017 Ralph Bean <rbean@redhat.com> - 4.1.6-9
- Fix BuildRequires on python-zope-interface.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 4.1.6-7
- Rebuild for Python 3.6

* Sat Sep 03 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 4.1.6-6
- Couple of fixes in spec

* Tue Jul 19 2016 Ralph Bean <rbean@redhat.com> - 4.1.6-5
- Explicit python2 subpackage.
- Modernize python macros.

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.6-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Sep 16 2015 Ralph Bean <rbean@redhat.com> - 4.1.6-1
- new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 20 2015 Ralph Bean <rbean@redhat.com> - 4.1.5-1
- new version

* Wed Aug 20 2014 Ralph Bean <rbean@redhat.com> - 4.1.4-1
- Latest upstream.
- Modernized python macros.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 4.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue Jan 28 2014 Ralph Bean <rbean@redhat.com> - 4.1.3-1
- Latest upstream

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 4.1.1-2
- Remove the weird /python3.2mu/ dir contents.

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 4.1.1-1
- Latest upstream.
- Added a python3 subpackage.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep  6 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-4
- Include tests
- More comments

* Wed Sep  1 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-3
- Description revised

* Tue Aug 31 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-2
- Remove %%check section
- Group changed from Development/Languages to Development/Libraries
- BR: python-devel renamed to python2-devel, python-zope-testing removed

* Tue Aug 31 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-1
- Update to 3.6.1
- Requirement: python-zope-filesystem removed, python-zope-interface added
- Spec cleaned up
- -devel subpackage set to noarch, added python2-devel as requirement
- Include the license

* Mon Jun 7 2010 Conrad Meyer <konrad@tylerc.org> - 3.6.0-1
- Bump to latest version.

* Mon Feb 15 2010 Conrad Meyer <konrad@tylerc.org> - 3.5.0-3
- Nuke .c/.h files used to build C library from installed
  files.

* Wed Dec 30 2009 Conrad Meyer <konrad@tylerc.org> - 3.5.0-2
- Move development files to devel subpackage.
- Use global instead of define.

* Sun Jul 5 2009 Conrad Meyer <konrad@tylerc.org> - 3.5.0-1
- Bump to latest version.
- Enable tests as zope.testing is in devel.
- Add missing BR on python-setuptools.

* Sun Dec 14 2008 Conrad Meyer <konrad@tylerc.org> - 3.4.2-1
- Initial package.
